Bug 652974 - Black window / animation no longer works
Summary: Black window / animation no longer works
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: projectM-pulseaudio
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jameson
QA Contact: Fedora Extras Quality Assurance
URL: http://sourceforge.net/tracker/?func=...
Whiteboard:
Depends On: 657765
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 22:18 UTC by Michael Schwendt
Modified: 2012-06-01 12:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-01 12:09:35 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Schwendt 2010-11-13 22:18:38 UTC
Some time late in the Fedora 14 development cycle, projectM visualization must have stopped working. Without an update to libprojectM itself.

Instead of the animation, only a black empty region is displayed, which updates only while one resizes the window. If one doesn't touch the window, updates are *very* slow (in order of minutes it seems) or non-existant.

Test-case:
1) yum -y install projectM-pulseaudio
2) Applications > Sound & Video > projectM-pulseaudio
3) no animation, not even if music is played

Affected are also the two audio players, which feature own projectM visualization plugins:

 * Audacious
 * QMMP

(probably also Clementine, not checked yet)

$ rpm -q libprojectM projectM-pulseaudio
projectM-pulseaudio-2.0.1-3.fc13.i686
libprojectM-2.0.1-7.fc14.i686

ATI/Radeon chipset (just to mention it)

Further info: 
I enabled and built the projectM plugin for Audacious in early October after verifying that it works with GCC C++ >= 4.5 (unlike Fedora 13). However, in stock Fedora 14, the animation no longer works.

Comment 1 Jameson 2010-11-26 20:53:48 UTC
projectM-pulseaudio should also be requiring libprojectM-qt is RPM not picking it up?  It's working fine for me on a machine that has libprojectM, libprojectM-qt and projectM-pulseaudio installed.  Granted it is running the proprietary nvidia driver.  I haven't tested with ATI/open source at this point.

Comment 2 Michael Schwendt 2010-11-26 22:12:42 UTC
$ rpm -qR projectM-pulseaudio|grep qt
libprojectM-qt.so.1  

Of course RPM is handling those dependencies just fine. That's not the issue. Video driver is more likely now that you've said it works with nvidia. Have posted to users' list in hope that some people will give feedback. Probably will post to test list some days later.

Comment 3 Jameson 2010-12-25 22:09:01 UTC
For the record, I just tested it on my system using the open source ATI drivers, and it starts.  It gets no further than the first frame, but it does display it.

Comment 4 Michael Schwendt 2010-12-25 22:16:32 UTC
see bug 657765 which I entered as "Depends on" in this ticket

Comment 5 Michael Schwendt 2012-06-01 12:09:35 UTC
F-14 is EOL meanwhile.


Note You need to log in before you can comment on or make changes to this bug.